package com.ruoyi.generator.service;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.generator.mapper.SysProjectModuleMapper;
import com.ruoyi.generator.domain.SysProjectModule;

/**
 * 功能模块与项目关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-09
 */
@Service
public class SysProjectModuleServiceImpl implements ISysProjectModuleService 
{
    @Autowired
    private SysProjectModuleMapper sysProjectModuleMapper;

    /**
     * 查询功能模块与项目关系
     * 
     * @param id 功能模块与项目关系主键
     * @return 功能模块与项目关系
     */
    @Override
    public SysProjectModule selectSysProjectModuleById(Long id)
    {
        return sysProjectModuleMapper.selectSysProjectModuleById(id);
    }

    /**
     * 查询功能模块与项目关系列表
     * 
     * @param sysProjectModule 功能模块与项目关系
     * @return 功能模块与项目关系
     */
    @Override
    public List<SysProjectModule> selectSysProjectModuleList(SysProjectModule sysProjectModule)
    {
        return sysProjectModuleMapper.selectSysProjectModuleList(sysProjectModule);
    }

    /**
     * 新增功能模块与项目关系
     * 
     * @param sysProjectModule 功能模块与项目关系
     * @return 结果
     */
    @Override
    public int insertSysProjectModule(SysProjectModule sysProjectModule)
    {
        sysProjectModule.setCreateTime(DateUtils.getNowDate());
        return sysProjectModuleMapper.insertSysProjectModule(sysProjectModule);
    }

    /**
     * 修改功能模块与项目关系
     * 
     * @param sysProjectModule 功能模块与项目关系
     * @return 结果
     */
    @Override
    public int updateSysProjectModule(SysProjectModule sysProjectModule)
    {
        sysProjectModule.setUpdateTime(DateUtils.getNowDate());
        return sysProjectModuleMapper.updateSysProjectModule(sysProjectModule);
    }

    /**
     * 批量删除功能模块与项目关系
     * 
     * @param ids 需要删除的功能模块与项目关系主键
     * @return 结果
     */
    @Override
    public int deleteSysProjectModuleByIds(Long[] ids)
    {
        return sysProjectModuleMapper.deleteSysProjectModuleByIds(ids);
    }

    /**
     * 删除功能模块与项目关系信息
     * 
     * @param id 功能模块与项目关系主键
     * @return 结果
     */
    @Override
    public int deleteSysProjectModuleById(Long id)
    {
        return sysProjectModuleMapper.deleteSysProjectModuleById(id);
    }
}
